import { getRemote as getAxios, postRemote as postAxios, downFileRemote as downFile } from '@/utils/axios.js'


export function login(data) {
    return postAxios({ url: '/api/user/aiChat-doLogin', data })
}

export function getIdByName(name) {
    return getAxios({ url: `/api/tenant/get-id-by-name?name=${name}` })
}

//修改主播建联状态
export function update(data) {
    return postAxios({ url: 'api/save_data/update', data })
}
//批量修改主播建联状态
export function updates(data) {
    return postAxios({ url: 'api/save_data/updates', data })
}

//获取话术
export function prologue() {
    return getAxios({ url: 'api/common/prologue' })
}

//获取评论
export function comment() {
    return getAxios({ url: 'api/common/comment' })
}
//登出
export function logout(data) {
    return postAxios({ url: 'api/user/aiChat-logout', data })
}

//获取账号状态
export function health(data) {
    return getAxios({ url: 'api/common/health' })
}
